"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
process.stdout.write('\x1Bc');
const u = __importStar(require("@jsmanifest/utils"));
const meow_1 = __importDefault(require("meow"));
const startCmd = `${u.white(`npm run`)} ${u.yellow(`node start`)}`;
const withArgs = (s) => `${u.magenta(s)}`;
// prettier-ignore
const cli = meow_1.default(`
  ${u.white(`Usage`)}

  $ ${startCmd} Will use the config in src/app/noodl.ts
  $ ${startCmd} ${withArgs(`--config meet4d`)} Will use meet4d.yml config in test (the default) environment
  $ ${startCmd} ${withArgs(`-c testpage --env stable`)} Will use testpage.yml config in stable environment
  $ ${startCmd} ${withArgs(`-e stable`)} Will use the config in src/app/noodl.ts in stable environment
  $ ${startCmd} ${withArgs(`--config=meet2d --env test -p 3005`)} Will use port 3005 for the web app
  $ ${startCmd} ${withArgs(`--config=meet2d --env test --serverPort 8080`)} Will use port 8080 for the server serving noodl files
  
`, {
    flags: {
        config: { alias: 'c', type: 'string' },
        env: { alias: 'e', type: 'string', default: 'test' },
        port: { alias: 'p', type: 'number', default: 3000 },
        serverDir: { type: 'string', default: 'server' },
        serverPort: { type: 'number', default: 3001 },
    },
});
exports.default = cli;
//# sourceMappingURL=cli.js.map